summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-11-26 05:48:40 +0000
committerZac Medico <zmedico@gentoo.org>2007-11-26 05:48:40 +0000
commit9116d76089d00491f5f20a4d834408b7ff45c983 (patch)
tree7ebf2206f7d94ec91a1284dd72d968159fb91ba6 /bin
parent0dd1d32ce6202854057fc5ba725174ca3b9c3c31 (diff)
downloadportage-9116d76089d00491f5f20a4d834408b7ff45c983.tar.gz
portage-9116d76089d00491f5f20a4d834408b7ff45c983.tar.bz2
portage-9116d76089d00491f5f20a4d834408b7ff45c983.zip
Automatically try to load environment.bz2 whenever
"${T}/environment" does not exist, except for "clean" and "depend" phases. svn path=/main/trunk/; revision=8680
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ebuild.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index efe71d664..46651e76a 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1521,8 +1521,10 @@ if hasq "depend" "${EBUILD_SH_ARGS}"; then
unset BIN_PATH BIN BODY FUNC_SRC
fi
-if hasq ${EBUILD_PHASE} config info prerm setup \
- && [ ! -f "${T}/environment" ] ; then
+# Automatically try to load environment.bz2 whenever
+# "${T}/environment" does not exist.
+if ! hasq ${EBUILD_SH_ARGS} clean depend && \
+ [ ! -f "${T}/environment" ] ; then
bzip2 -dc "${EBUILD%/*}"/environment.bz2 > \
"${T}/environment" 2> /dev/null
if [ -s "${T}/environment" ] ; then